gdcm::DeltaEncodingCodec Class Reference

DeltaEncodingCodec compression used by some private vendor. More...

`#include <gdcmDeltaEncodingCodec.h>`

Inheritance diagram for gdcm::DeltaEncodingCodec:
[legend]
Collaboration diagram for gdcm::DeltaEncodingCodec:
[legend]

## Public Member Functions

| DeltaEncodingCodec ()
| ~DeltaEncodingCodec ()
bool | CanDecode (TransferSyntax const &ts)
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec () override
bool | CanCode (TransferSyntax const &) const override
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &) const override
| Return whether this decoder support this transfer syntax (can decode it).
bool | CleanupUnusedBits (char *data, size_t datalen)
virtual ImageCodec * | Clone () const =0
bool | Decode (DataElement const &is_, DataElement &os) override
| Decode.
const unsigned int * | GetDimensions () const
virtual bool | GetHeaderInfo (std::istream &is_, TransferSyntax &ts)
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetDimensions (const unsigned int d[3])
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default

## Protected Member Functions

bool | Decode (std::istream &is, std::ostream &os)
Protected Member Functions inherited from gdcm::ImageCodec
virtual bool | AppendFrameEncode (std::ostream &out, const char *data, size_t datalen)
virtual bool | AppendRowEncode (std::ostream &out, const char *data, size_t datalen)
bool | DecodeByStreams (std::istream &is_, std::ostream &os) override
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
bool | DoYBRFull422 (std::istream &is_, std::ostream &os)
virtual bool | IsFrameEncoder ()
virtual bool | IsRowEncoder ()
virtual bool | IsValid (PhotometricInterpretation const &pi)
virtual bool | StartEncode (std::ostream &os)
virtual bool | StopEncode (std::ostream &os)
Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

DeltaEncodingCodec compression used by some private vendor.

## Constructor & Destructor Documentation

## DeltaEncodingCodec()

gdcm::DeltaEncodingCodec::DeltaEncodingCodec | ( |  | ) |

## ~DeltaEncodingCodec()

gdcm::DeltaEncodingCodec::~DeltaEncodingCodec | ( |  | ) |

## Member Function Documentation

## CanDecode()

bool gdcm::DeltaEncodingCodec::CanDecode | ( | TransferSyntax const & | ts | ) |

## Decode() [1/2]

bool gdcm::DeltaEncodingCodec::Decode | ( | DataElement const & | ,
|  | DataElement & | )

virtual

Decode.

Reimplemented from gdcm::Decoder.

## Decode() [2/2]

bool gdcm::DeltaEncodingCodec::Decode | ( | std::istream & | is,
|  | std::ostream & | os )

protected

The documentation for this class was generated from the following file:

- gdcmDeltaEncodingCodec.h